Porównaj ceny domen i usług IT, sprzedawców z całego świata

Tworzenie Apache 2.4 RPM


Próbuję skompilować aktualne pakiety dla httpd ...
Chciałbym zbudować Apache 2.4.4 (najnowszy) jako RPM. więc mogę zainstalować na wielu serwerach i nie kompilować za każdym razem ...
Kiedy próbuję wykonać polecenie „rpmbuild -tb httpd.2.4.4.tar.bzz2”, pojawia się komunikat, że apr i apr-utils są zależnościami .. Już zbudowałem apr jako RPM ..
Czy to oznacza, że ​​aby utworzyć httpd rpm, będę musiał zainstalować apr & amp; apr-utils rpm, a następnie skompilować httpd? Czy istnieje inny sposób
Czy ktoś może mi w tym pomóc?
Dziękuję vijay
Zaproszony:
Anonimowy użytkownik

Anonimowy użytkownik

Potwierdzenie od:

Będziesz musiał zainstalować pakiety programistyczne
         apr
&
         apr-utils
:
yum install apr-devel apr-util-devel

Nadal mogą występować problemy z budowaniem z nim apache, ponieważ w zależności od dystrybucji pakiety apr z repozytorium mogą być zbyt stare. W takim przypadku będziesz potrzebować kodu źródłowego APR do budowy. Sprawdź ten poradnik:
http://www.thegeekstuff.com/20 ... os-6/
http://www.thegeekstuff.com/20 ... os-6/

Aby odpowiedzieć na pytania, Zaloguj się lub Zarejestruj się